GNU bug report logs - #37485
27.0.50; C-m in describe-bindings

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Lars Ingebrigtsen <larsi@HIDDEN>; dated Sun, 22 Sep 2019 21:54:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 37485 <at> debbugs.gnu.org:


Received: (at 37485) by debbugs.gnu.org; 23 Sep 2019 18:44:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 23 14:44:57 2019
Received: from localhost ([127.0.0.1]:37102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCTKT-0000Ag-EA
	for submit <at> debbugs.gnu.org; Mon, 23 Sep 2019 14:44:57 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44372)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iCTKR-0000AP-ND
 for 37485 <at> debbugs.gnu.org; Mon, 23 Sep 2019 14:44:55 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55449)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iCTKM-0006TJ-FX; Mon, 23 Sep 2019 14:44:50 -0400
Received: from [176.228.60.248] (port=3566 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iCTKL-0005XY-M8; Mon, 23 Sep 2019 14:44:50 -0400
Date: Mon, 23 Sep 2019 21:44:38 +0300
Message-Id: <835zliq2cp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87v9tiyjwo.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 23 Sep 2019 19:58:15 +0200)
Subject: Re: bug#37485: 27.0.50; C-m in describe-bindings
References: <87sgooroa4.fsf@HIDDEN> <83k19zpwtx.fsf@HIDDEN>
 <8736gnb8mk.fsf@HIDDEN> <83h853ouqi.fsf@HIDDEN>
 <87ftknym8v.fsf@HIDDEN> <83a7avorj2.fsf@HIDDEN>
 <871rw6zzlm.fsf@HIDDEN> <837e5yq4vg.fsf@HIDDEN> <87v9tiyjwo.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37485
Cc: 37485 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: 37485 <at> debbugs.gnu.org
> Date: Mon, 23 Sep 2019 19:58:15 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Key description and fast typing are two separate issues.  Mnemonics is
> > yet another, third, issue (and assigning mnemonic value to 'm' in C-m
> > is generally unusual, IME).  I don't think these additional issues
> > should affect how we display C-m/RET _everywhere_ in our docs.  E.g.,
> > would you propose to use C-i instead of TAB?
> 
> Hm...  I think so?  (There's 67 `C-. C-i' in the manual.)

And 187 TABs.

> Mind you, I'm only talking about multi-key keystrokes if we were to do
> this by default.

I don't see the difference, and neither does describe-key, AFAIK.

> But what I really had in mind was to find out whether anybody had any
> smart ideas for how to convey to `describe-bindings' how these keys
> should be displayed on a per-keymap basis.  I hadn't taken a look at how
> keymaps are defined at all...
> 
> But they are really char-table objects wrapped in a list?
> 
> Would it be possible to add an option to `make-keymap' that would pass
> along an argument to control what `describe-bindings' should do with the
> keymap?  And then stash that in the char-table object?

I think it's a waste of cycles.  We have much more important stuff to
spend time on.  But that's me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37485; Package emacs. Full text available.

Message received at 37485 <at> debbugs.gnu.org:


Received: (at 37485) by debbugs.gnu.org; 23 Sep 2019 17:58:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 23 13:58:25 2019
Received: from localhost ([127.0.0.1]:37054 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCSbR-0005HM-7z
	for submit <at> debbugs.gnu.org; Mon, 23 Sep 2019 13:58:25 -0400
Received: from quimby.gnus.org ([80.91.231.51]:41808)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iCSbP-0005HB-Cj
 for 37485 <at> debbugs.gnu.org; Mon, 23 Sep 2019 13:58:23 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iCSbH-0001b4-SB; Mon, 23 Sep 2019 19:58:21 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37485: 27.0.50; C-m in describe-bindings
References: <87sgooroa4.fsf@HIDDEN> <83k19zpwtx.fsf@HIDDEN>
 <8736gnb8mk.fsf@HIDDEN> <83h853ouqi.fsf@HIDDEN>
 <87ftknym8v.fsf@HIDDEN> <83a7avorj2.fsf@HIDDEN>
 <871rw6zzlm.fsf@HIDDEN> <837e5yq4vg.fsf@HIDDEN>
Date: Mon, 23 Sep 2019 19:58:15 +0200
In-Reply-To: <837e5yq4vg.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 23 Sep
 2019 20:50:11 +0300")
Message-ID: <87v9tiyjwo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Key description and
 fast typing are two separate issues. Mnemonics is > yet another, third, issue
 (and assigning mnemonic value to 'm' in C-m > is generally unusual, IME).
 I don't think these additi [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37485
Cc: 37485 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Key description and fast typing are two separate issues.  Mnemonics is
> yet another, third, issue (and assigning mnemonic value to 'm' in C-m
> is generally unusual, IME).  I don't think these additional issues
> should affect how we display C-m/RET _everywhere_ in our docs.  E.g.,
> would you propose to use C-i instead of TAB?

Hm...  I think so?  (There's 67 `C-. C-i' in the manual.)

Mind you, I'm only talking about multi-key keystrokes if we were to do
this by default.

But what I really had in mind was to find out whether anybody had any
smart ideas for how to convey to `describe-bindings' how these keys
should be displayed on a per-keymap basis.  I hadn't taken a look at how
keymaps are defined at all...

But they are really char-table objects wrapped in a list?

Would it be possible to add an option to `make-keymap' that would pass
along an argument to control what `describe-bindings' should do with the
keymap?  And then stash that in the char-table object?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37485; Package emacs. Full text available.

Message received at 37485 <at> debbugs.gnu.org:


Received: (at 37485) by debbugs.gnu.org; 23 Sep 2019 17:50:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 23 13:50:31 2019
Received: from localhost ([127.0.0.1]:37044 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCSTm-00053r-NY
	for submit <at> debbugs.gnu.org; Mon, 23 Sep 2019 13:50:30 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36258)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iCSTj-00053a-9c
 for 37485 <at> debbugs.gnu.org; Mon, 23 Sep 2019 13:50:29 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54631)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iCSTa-0000Bz-NB; Mon, 23 Sep 2019 13:50:19 -0400
Received: from [176.228.60.248] (port=4231 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iCSTa-0001G1-5q; Mon, 23 Sep 2019 13:50:18 -0400
Date: Mon, 23 Sep 2019 20:50:11 +0300
Message-Id: <837e5yq4vg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <871rw6zzlm.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 23 Sep 2019 19:33:57 +0200)
Subject: Re: bug#37485: 27.0.50; C-m in describe-bindings
References: <87sgooroa4.fsf@HIDDEN> <83k19zpwtx.fsf@HIDDEN>
 <8736gnb8mk.fsf@HIDDEN> <83h853ouqi.fsf@HIDDEN>
 <87ftknym8v.fsf@HIDDEN> <83a7avorj2.fsf@HIDDEN>
 <871rw6zzlm.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37485
Cc: 37485 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: 37485 <at> debbugs.gnu.org
> Date: Mon, 23 Sep 2019 19:33:57 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Anyway, what's the real problem here?  Just the fact that you
> > personally are annoyed?
> 
> The problem is that these key bindings, as formatted by describe-keys,
> aren't what was intended.  We don't choose key bindings on a whime. `C-c
> C-m' for instance (in Message mode), has the "m" as a mnemonic for
> "MIME".  `C-c RET' doesn't mean anything.

Key description and fast typing are two separate issues.  Mnemonics is
yet another, third, issue (and assigning mnemonic value to 'm' in C-m
is generally unusual, IME).  I don't think these additional issues
should affect how we display C-m/RET _everywhere_ in our docs.  E.g.,
would you propose to use C-i instead of TAB?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37485; Package emacs. Full text available.

Message received at 37485 <at> debbugs.gnu.org:


Received: (at 37485) by debbugs.gnu.org; 23 Sep 2019 17:34:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 23 13:34:03 2019
Received: from localhost ([127.0.0.1]:37035 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCSDr-0004ab-52
	for submit <at> debbugs.gnu.org; Mon, 23 Sep 2019 13:34:03 -0400
Received: from quimby.gnus.org ([80.91.231.51]:41320)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iCSDp-0004aB-7U
 for 37485 <at> debbugs.gnu.org; Mon, 23 Sep 2019 13:34:01 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iCSDl-0001Nk-FA; Mon, 23 Sep 2019 19:33:59 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37485: 27.0.50; C-m in describe-bindings
References: <87sgooroa4.fsf@HIDDEN> <83k19zpwtx.fsf@HIDDEN>
 <8736gnb8mk.fsf@HIDDEN> <83h853ouqi.fsf@HIDDEN>
 <87ftknym8v.fsf@HIDDEN> <83a7avorj2.fsf@HIDDEN>
Date: Mon, 23 Sep 2019 19:33:57 +0200
In-Reply-To: <83a7avorj2.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 23 Sep
 2019 20:23:45 +0300")
Message-ID: <871rw6zzlm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Anyway, what's the
 real problem here? Just the fact that you > personally are annoyed? The
 problem
 is that these key bindings, as formatted by describe-keys, aren't what was
 intended. We don't choose key bindings on a whime. `C-c C-m' for instance
 (in Message mode), has the "m" as a mne [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37485
Cc: 37485 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Anyway, what's the real problem here?  Just the fact that you
> personally are annoyed?

The problem is that these key bindings, as formatted by describe-keys,
aren't what was intended.  We don't choose key bindings on a whime. `C-c
C-m' for instance (in Message mode), has the "m" as a mnemonic for
"MIME".  `C-c RET' doesn't mean anything.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37485; Package emacs. Full text available.

Message received at 37485 <at> debbugs.gnu.org:


Received: (at 37485) by debbugs.gnu.org; 23 Sep 2019 17:29:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 23 13:29:27 2019
Received: from localhost ([127.0.0.1]:37030 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCS9O-0002Ps-Om
	for submit <at> debbugs.gnu.org; Mon, 23 Sep 2019 13:29:27 -0400
Received: from aserp2120.oracle.com ([141.146.126.78]:56876)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1iCS9L-0002Pe-VE
 for 37485 <at> debbugs.gnu.org; Mon, 23 Sep 2019 13:29:25 -0400
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x8NHIq2g031559;
 Mon, 23 Sep 2019 17:29:17 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2019-08-05;
 bh=My3rz/t7m6POsT/raLfXJsg4fN5uHGi9yY9dMCM6A9c=;
 b=lPPRvwflj80wB+OBkPHRyRuSH2tRmRezu24fFLck4UolJPlMG23DJOg3nN6wypHxfahH
 jIilHFA0y9Jiz49BSQtl9b3CDAg2WJI4b6zBuZXW7lW5QszM6Q8KEWIaOFnRaAVPB5yI
 EVZt7njZDYy3CtY0S6ttOS79pxbxUDRnev6sVQGRGzOl/T8G+Hvlsr5GOiIDrGeCCkZx
 9cl0npBcbgHF7GbWQM5Lw86+9qVECFgAz22LL5jaBcSHS//ZuAKtARV1dNzlOlFr0aQ5
 TV8gdx2maGGKM5FqX/auYENvv4clxb98tJFf352kSMRQpn0c/+18px0KDwEXHSsvMXPv ew== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by aserp2120.oracle.com with ESMTP id 2v5btprgv4-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 23 Sep 2019 17:29:17 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x8NHHrdF063440;
 Mon, 23 Sep 2019 17:29:17 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by aserp3030.oracle.com with ESMTP id 2v6yvn9y7c-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 23 Sep 2019 17:29:17 +0000
Received: from abhmp0020.oracle.com (abhmp0020.oracle.com [141.146.116.26])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id x8NHTFxk022681;
 Mon, 23 Sep 2019 17:29:16 GMT
MIME-Version: 1.0
Message-ID: <60aa8a60-237e-49b6-8807-9d5ca37a381f@default>
Date: Mon, 23 Sep 2019 10:29:15 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#37485: 27.0.50; C-m in describe-bindings
References: <87sgooroa4.fsf@HIDDEN> <83k19zpwtx.fsf@HIDDEN>
 <8736gnb8mk.fsf@HIDDEN> <83h853ouqi.fsf@HIDDEN> <87ftknym8v.fsf@HIDDEN>
In-Reply-To: <87ftknym8v.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4888.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9389
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1908290000 definitions=main-1909230156
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9389
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1011
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1908290000
 definitions=main-1909230156
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37485
Cc: 37485 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> But do you use RET instead of `C-m' in these keystrokes because that's
> what `describe-bindings' say or because you prefer to hit `RET'?
>=20
> Anyway, I've grepped through the *.texi files, and there are 152 matches
> for `C-c C-m ...' and 8 for `C-c RET'.  And all of those 8 are for RET
> as the final character in the keystroke.
>=20
> If you expand to "C-. C-m"/"C-. RET" it's 170/20.  (All those additional
> ones are from mule.texi.)
>=20
> It seems the mode writers' intentions are pretty clear: They mean for
> the users to type C-c C-m ..., but `describe-bindings' tells them to type
> C-c RET.

My 2c:

If we show only C-m then users might not realize that
they can use RET.  If we show only RET then users might
not realize they can use C-m.  That's the way it goes.

In the _doc_ (e.g. *.texi) we can always remind users
that the two are equivalent (but not always equivalent
to <return>).  In particular, we can do that for a key
binding that uses it after another C- key (e.g. after
C-c).

But in C-m, C-b, etc., we should provide the same
key-description format, systematically.  It would be
confusing to sometimes use C-m and sometimes RET in
such contexts.  That could give users the false idea
that the two are different.

Emacs has always used RET in this case (key listings).
And in most cases the key is not used as a prefix key,
and it does not follow a C- key.  And most users (I
think) will recognize and use RET for such cases, even
if they use C-m after a C- key or as a prefix key.

So I'd vote for keeping RET in such lists of key
descriptions.  But I'd agree that it can help to point
out, in doc, that you can use C-m as an alternative.
Pointing that out is especially useful in a context
where the key follows a C- key, and possibly even
where it does not but it is used as a prefix key.

So "the mode writers" you mention aren't necessarily
wrong.  But it would be wrong to change key listings,
which are not specific to a given mode, to use C-m.

You might say that `C-h m' is all about documenting
the _mode_, so its output should reflect what "the
mode writers" use.  If that's the point then the mode
description (doc string) can simply add a sentence
reminding users that C-M =3D RET.  Such a case is not
a good reason not to keep key listings consistent.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37485; Package emacs. Full text available.

Message received at 37485 <at> debbugs.gnu.org:


Received: (at 37485) by debbugs.gnu.org; 23 Sep 2019 17:24:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 23 13:24:00 2019
Received: from localhost ([127.0.0.1]:37023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCS48-0002Hd-35
	for submit <at> debbugs.gnu.org; Mon, 23 Sep 2019 13:24:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:32803)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iCS46-0002HL-MQ
 for 37485 <at> debbugs.gnu.org; Mon, 23 Sep 2019 13:23:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54170)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iCS41-0002Vy-HE; Mon, 23 Sep 2019 13:23:53 -0400
Received: from [176.228.60.248] (port=2540 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iCS40-0007iK-QU; Mon, 23 Sep 2019 13:23:53 -0400
Date: Mon, 23 Sep 2019 20:23:45 +0300
Message-Id: <83a7avorj2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87ftknym8v.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 23 Sep 2019 19:07:44 +0200)
Subject: Re: bug#37485: 27.0.50; C-m in describe-bindings
References: <87sgooroa4.fsf@HIDDEN> <83k19zpwtx.fsf@HIDDEN>
 <8736gnb8mk.fsf@HIDDEN> <83h853ouqi.fsf@HIDDEN> <87ftknym8v.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37485
Cc: 37485 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: 37485 <at> debbugs.gnu.org
> Date: Mon, 23 Sep 2019 19:07:44 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> I'm not sure I understand...
> >
> > I meant that users usually press RET, not C-m.
> 
> You've done a poll?  :-)

I don't need one.  Most users don't know C-m and RET are the same.

> >> Both RET and C-m are keys we press, but the intended (both mnemonic and
> >> ergonomic) key stroke here is `C-c C-m c' (etc) and not the awkward `C-c
> >> RET c'.
> >
> > Call me awkward, then.
> 
> But do you use RET instead of `C-m' in these keystrokes because that's
> what `describe-bindings' say or because you prefer to hit `RET'?

What's the difference?  Both, I guess.

> Anyway, I've grepped through the *.texi files, and there are 152 matches
> for `C-c C-m ...' and 8 for `C-c RET'.  And all of those 8 are for RET
> as the final character in the keystroke.
> 
> If you expand to "C-. C-m"/"C-. RET" it's 170/20.  (All those additional
> ones are from mule.texi.)
> 
> It seems the mode writers' intentions are pretty clear: They mean for
> the users to type C-c C-m ..., but `describe-bindings' tells them to type
> C-c RET.

I don't see why this should be decided by majority vote.

Anyway, what's the real problem here?  Just the fact that you
personally are annoyed?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37485; Package emacs. Full text available.

Message received at 37485 <at> debbugs.gnu.org:


Received: (at 37485) by debbugs.gnu.org; 23 Sep 2019 17:07:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 23 13:07:51 2019
Received: from localhost ([127.0.0.1]:36997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCRoU-0008Fz-NR
	for submit <at> debbugs.gnu.org; Mon, 23 Sep 2019 13:07:51 -0400
Received: from quimby.gnus.org ([80.91.231.51]:40824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iCRoS-0008Fq-GA
 for 37485 <at> debbugs.gnu.org; Mon, 23 Sep 2019 13:07:48 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iCRoO-00016z-V1; Mon, 23 Sep 2019 19:07:47 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37485: 27.0.50; C-m in describe-bindings
References: <87sgooroa4.fsf@HIDDEN> <83k19zpwtx.fsf@HIDDEN>
 <8736gnb8mk.fsf@HIDDEN> <83h853ouqi.fsf@HIDDEN>
Date: Mon, 23 Sep 2019 19:07:44 +0200
In-Reply-To: <83h853ouqi.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 23 Sep
 2019 19:14:29 +0300")
Message-ID: <87ftknym8v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> I'm not sure I
 understand...
 > > I meant that users usually press RET, not C-m. You've done a poll? :-)
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37485
Cc: 37485 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> I'm not sure I understand...
>
> I meant that users usually press RET, not C-m.

You've done a poll?  :-)

>> Both RET and C-m are keys we press, but the intended (both mnemonic and
>> ergonomic) key stroke here is `C-c C-m c' (etc) and not the awkward `C-c
>> RET c'.
>
> Call me awkward, then.

But do you use RET instead of `C-m' in these keystrokes because that's
what `describe-bindings' say or because you prefer to hit `RET'?

Anyway, I've grepped through the *.texi files, and there are 152 matches
for `C-c C-m ...' and 8 for `C-c RET'.  And all of those 8 are for RET
as the final character in the keystroke.

If you expand to "C-. C-m"/"C-. RET" it's 170/20.  (All those additional
ones are from mule.texi.)

It seems the mode writers' intentions are pretty clear: They mean for
the users to type C-c C-m ..., but `describe-bindings' tells them to type
C-c RET.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37485; Package emacs. Full text available.

Message received at 37485 <at> debbugs.gnu.org:


Received: (at 37485) by debbugs.gnu.org; 23 Sep 2019 16:14:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 23 12:14:42 2019
Received: from localhost ([127.0.0.1]:36867 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCQz4-0000Sc-6n
	for submit <at> debbugs.gnu.org; Mon, 23 Sep 2019 12:14:42 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49404)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iCQz2-0000SP-Qc
 for 37485 <at> debbugs.gnu.org; Mon, 23 Sep 2019 12:14:41 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53062)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iCQyx-0004oz-LF; Mon, 23 Sep 2019 12:14:35 -0400
Received: from [176.228.60.248] (port=2244 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iCQyw-0007yL-Vy; Mon, 23 Sep 2019 12:14:35 -0400
Date: Mon, 23 Sep 2019 19:14:29 +0300
Message-Id: <83h853ouqi.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <8736gnb8mk.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 23 Sep 2019 12:38:11 +0200)
Subject: Re: bug#37485: 27.0.50; C-m in describe-bindings
References: <87sgooroa4.fsf@HIDDEN> <83k19zpwtx.fsf@HIDDEN>
 <8736gnb8mk.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37485
Cc: 37485 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: 37485 <at> debbugs.gnu.org
> Date: Mon, 23 Sep 2019 12:38:11 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> C-c RET b	mml-attach-buffer
> >> C-c RET c	Prefix Command
> >> 
> >> I know that `C-m' and RET is the same key binding, but I also think that
> >> when this key is used as a prefix key, I don't think anybody has ever
> >> wanted that to be RET instead of `C-m'.
> >
> > It's a key you press, so I think it's a Good Thing that we use RET
> > here.
> 
> I'm not sure I understand...

I meant that users usually press RET, not C-m.

> Both RET and C-m are keys we press, but the intended (both mnemonic and
> ergonomic) key stroke here is `C-c C-m c' (etc) and not the awkward `C-c
> RET c'.

Call me awkward, then.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37485; Package emacs. Full text available.

Message received at 37485 <at> debbugs.gnu.org:


Received: (at 37485) by debbugs.gnu.org; 23 Sep 2019 13:45:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 23 09:45:28 2019
Received: from localhost ([127.0.0.1]:35352 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCOee-00054h-7B
	for submit <at> debbugs.gnu.org; Mon, 23 Sep 2019 09:45:28 -0400
Received: from quimby.gnus.org ([80.91.231.51]:36560)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iCOec-00054Z-4K
 for 37485 <at> debbugs.gnu.org; Mon, 23 Sep 2019 09:45:26 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iCOeY-0007XQ-87; Mon, 23 Sep 2019 15:45:24 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#37485: 27.0.50; C-m in describe-bindings
References: <87sgooroa4.fsf@HIDDEN> <83k19zpwtx.fsf@HIDDEN>
 <8736gnb8mk.fsf@HIDDEN> <mvmpnjrmcme.fsf@HIDDEN>
Date: Mon, 23 Sep 2019 15:45:21 +0200
In-Reply-To: <mvmpnjrmcme.fsf@HIDDEN> (Andreas Schwab's message of "Mon, 23
 Sep 2019 14:16:25 +0200")
Message-ID: <874l1386tq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Andreas Schwab <schwab@HIDDEN> writes: >>>> I know that
 `C-m' and RET is the same key binding, [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37485
Cc: Eli Zaretskii <eliz@HIDDEN>, 37485 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andreas Schwab <schwab@HIDDEN> writes:

>>>> I know that `C-m' and RET is the same key binding,

[...]

> C-m and RET are one and the same.  You are probably confusing it with
> <return>.

No, I know they're the same.  *points upwards*

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37485; Package emacs. Full text available.

Message received at 37485 <at> debbugs.gnu.org:


Received: (at 37485) by debbugs.gnu.org; 23 Sep 2019 12:16:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 23 08:16:34 2019
Received: from localhost ([127.0.0.1]:35286 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCNGc-0008H2-5g
	for submit <at> debbugs.gnu.org; Mon, 23 Sep 2019 08:16:34 -0400
Received: from mx2.suse.de ([195.135.220.15]:42628 helo=mx1.suse.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <schwab@HIDDEN>) id 1iCNGZ-0008B0-Ur
 for 37485 <at> debbugs.gnu.org; Mon, 23 Sep 2019 08:16:32 -0400
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay2.suse.de (unknown [195.135.220.254])
 by mx1.suse.de (Postfix) with ESMTP id 2027BAF43;
 Mon, 23 Sep 2019 12:16:26 +0000 (UTC)
From: Andreas Schwab <schwab@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#37485: 27.0.50; C-m in describe-bindings
References: <87sgooroa4.fsf@HIDDEN> <83k19zpwtx.fsf@HIDDEN>
 <8736gnb8mk.fsf@HIDDEN>
X-Yow: Yow!  I forgot my PAIL!!
Date: Mon, 23 Sep 2019 14:16:25 +0200
In-Reply-To: <8736gnb8mk.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 23 Sep 2019 12:38:11 +0200")
Message-ID: <mvmpnjrmcme.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37485
Cc: Eli Zaretskii <eliz@HIDDEN>, 37485 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Sep 23 2019, Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> C-c RET b	mml-attach-buffer
>>> C-c RET c	Prefix Command
>>> 
>>> I know that `C-m' and RET is the same key binding, but I also think that
>>> when this key is used as a prefix key, I don't think anybody has ever
>>> wanted that to be RET instead of `C-m'.
>>
>> It's a key you press, so I think it's a Good Thing that we use RET
>> here.
>
> I'm not sure I understand...
>
> Both RET and C-m are keys we press, but the intended (both mnemonic and
> ergonomic) key stroke here is `C-c C-m c' (etc) and not the awkward `C-c
> RET c'.

C-m and RET are one and the same.  You are probably confusing it with
<return>.

Andreas.

-- 
Andreas Schwab, SUSE Labs, schwab@HIDDEN
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37485; Package emacs. Full text available.

Message received at 37485 <at> debbugs.gnu.org:


Received: (at 37485) by debbugs.gnu.org; 23 Sep 2019 10:38:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 23 06:38:18 2019
Received: from localhost ([127.0.0.1]:35166 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCLjW-0004Us-Kp
	for submit <at> debbugs.gnu.org; Mon, 23 Sep 2019 06:38:18 -0400
Received: from quimby.gnus.org ([80.91.231.51]:60982)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iCLjU-0004Uj-C7
 for 37485 <at> debbugs.gnu.org; Mon, 23 Sep 2019 06:38:16 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iCLjQ-0005HG-80; Mon, 23 Sep 2019 12:38:14 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37485: 27.0.50; C-m in describe-bindings
References: <87sgooroa4.fsf@HIDDEN> <83k19zpwtx.fsf@HIDDEN>
Date: Mon, 23 Sep 2019 12:38:11 +0200
In-Reply-To: <83k19zpwtx.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 23 Sep
 2019 05:31:38 +0300")
Message-ID: <8736gnb8mk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> C-c RET b
 mml-attach-buffer
 >> C-c RET c Prefix Command >> >> I know that `C-m' and RET is the same key
 binding, but I also think that >> when this key is used as a prefix key,
 I don't think anybod [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37485
Cc: 37485 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> C-c RET b	mml-attach-buffer
>> C-c RET c	Prefix Command
>> 
>> I know that `C-m' and RET is the same key binding, but I also think that
>> when this key is used as a prefix key, I don't think anybody has ever
>> wanted that to be RET instead of `C-m'.
>
> It's a key you press, so I think it's a Good Thing that we use RET
> here.

I'm not sure I understand...

Both RET and C-m are keys we press, but the intended (both mnemonic and
ergonomic) key stroke here is `C-c C-m c' (etc) and not the awkward `C-c
RET c'.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37485; Package emacs. Full text available.

Message received at 37485 <at> debbugs.gnu.org:


Received: (at 37485) by debbugs.gnu.org; 23 Sep 2019 02:31:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 22 22:31:34 2019
Received: from localhost ([127.0.0.1]:34781 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCE8T-0006Hf-Oi
	for submit <at> debbugs.gnu.org; Sun, 22 Sep 2019 22:31:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52577)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iCE8S-0006HQ-6X
 for 37485 <at> debbugs.gnu.org; Sun, 22 Sep 2019 22:31:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41198)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iCE8N-0002nN-1K; Sun, 22 Sep 2019 22:31:27 -0400
Received: from [176.228.60.248] (port=3911 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iCE8L-0000Lr-TM; Sun, 22 Sep 2019 22:31:26 -0400
Date: Mon, 23 Sep 2019 05:31:38 +0300
Message-Id: <83k19zpwtx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87sgooroa4.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 22 Sep 2019 23:53:23 +0200)
Subject: Re: bug#37485: 27.0.50; C-m in describe-bindings
References: <87sgooroa4.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37485
Cc: 37485 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Sun, 22 Sep 2019 23:53:23 +0200
> 
> 
> It's long annoyed med that `C-m' is described thusly by
> describe-bindings:
> 
> C-c RET		Prefix Command
> 
> C-c RET C-c	mml-secure-message-encrypt
> C-c RET C-e	mml-secure-message-sign-encrypt
> C-c RET C-n	mml-unsecure-message
> C-c RET C-p	Prefix Command
> C-c RET C-s	mml-secure-message-sign
> C-c RET C	Prefix Command
> C-c RET P	mml-preview
> C-c RET S	Prefix Command
> C-c RET b	mml-attach-buffer
> C-c RET c	Prefix Command
> 
> I know that `C-m' and RET is the same key binding, but I also think that
> when this key is used as a prefix key, I don't think anybody has ever
> wanted that to be RET instead of `C-m'.

It's a key you press, so I think it's a Good Thing that we use RET
here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37485; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Sep 2019 21:53:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 22 17:53:31 2019
Received: from localhost ([127.0.0.1]:34599 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iC9nP-0007jp-2i
	for submit <at> debbugs.gnu.org; Sun, 22 Sep 2019 17:53:31 -0400
Received: from lists.gnu.org ([209.51.188.17]:45866)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iC9nN-0007jg-Ue
 for submit <at> debbugs.gnu.org; Sun, 22 Sep 2019 17:53:30 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36045)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <larsi@HIDDEN>) id 1iC9nM-00088c-Ke
 for bug-gnu-emacs@HIDDEN; Sun, 22 Sep 2019 17:53:29 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <larsi@HIDDEN>) id 1iC9nL-0001T3-IN
 for bug-gnu-emacs@HIDDEN; Sun, 22 Sep 2019 17:53:28 -0400
Received: from quimby.gnus.org ([80.91.231.51]:41680)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <larsi@HIDDEN>) id 1iC9nL-0001Sr-BR
 for bug-gnu-emacs@HIDDEN; Sun, 22 Sep 2019 17:53:27 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>) id 1iC9nH-0002st-Tc
 for bug-gnu-emacs@HIDDEN; Sun, 22 Sep 2019 23:53:26 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; C-m in describe-bindings
Date: Sun, 22 Sep 2019 23:53:23 +0200
Message-ID: <87sgooroa4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 80.91.231.51
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


It's long annoyed med that `C-m' is described thusly by
describe-bindings:

C-c RET		Prefix Command

C-c RET C-c	mml-secure-message-encrypt
C-c RET C-e	mml-secure-message-sign-encrypt
C-c RET C-n	mml-unsecure-message
C-c RET C-p	Prefix Command
C-c RET C-s	mml-secure-message-sign
C-c RET C	Prefix Command
C-c RET P	mml-preview
C-c RET S	Prefix Command
C-c RET b	mml-attach-buffer
C-c RET c	Prefix Command

I know that `C-m' and RET is the same key binding, but I also think that
when this key is used as a prefix key, I don't think anybody has ever
wanted that to be RET instead of `C-m'.

Or is there a way to distinguish what we mean, somehow?


In GNU Emacs 27.0.50 (build 17, x86_64-pc-linux-gnu, GTK+ Version 3.24.5)
 of 2019-09-21 built on marnie
Repository revision: c61bfe0a3adab1a9fd0dc283cbf8291a78ed6da1
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11902000
System Description: Debian GNU/Linux 10 (buster)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Acknowledgement sent to Lars Ingebrigtsen <larsi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37485; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 23 Sep 2019 19:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.